<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" 
      xmlns:th="https://www.thymeleaf.org"
      xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>Login Aplikasi E-Progress</title>
        <link th:href="@{/assets/css/bootstrap.min.css}" rel="stylesheet" />
        <link th:href="@{/assets/font-awesome/css/font-awesome.css}" rel="stylesheet" />
        <link th:href="@{/assets/css/custom-login.css}" rel="stylesheet" />

        <!-- Ladda style -->
        <link th:href="@{/assets/css/plugins/ladda/ladda-themeless.min.css}" rel="stylesheet" />

        <link th:href="@{/assets/css/animate.css}" rel="stylesheet" />

        <link rel="icon" href="#" th:href="@{/assets/img/favicon.ico}" type="image/x-icon"/>
    </head>
    <body>
        <div class="container h-100">
            <div class="d-flex justify-content-center h-100 loginscreen animated fadeInDown">
                <div class="user_card">
                    <div class="d-flex justify-content-center">
                        <div class="brand_logo_container">
                            <a th:href="@{/beranda}"><img th:src="@{/img/logo.png}" class="img-fluid" alt="Logo E-Progress" /></a>
                        </div>

                    </div>

                    <div class="d-flex justify-content-center form_container">

                        <form th:action="@{/login}" method="post">
                            <div class="alert alert-light" style="margin-top: -45px;" role="alert">
                                Silahkan login untuk masuk ke sistem.
                            </div>
                            <div th:if="${param.error}">
                                <div class="alert alert-danger">
                                    Invalid username and password.
                                </div>
                            </div>

                            <div th:if="${param.logout}">
                                <div class="alert alert-info">
                                    You have been logged out.
                                </div>
                            </div>
                            <div class="input-group mb-3">
                                <div class="input-group-append">
                                    <span class="input-group-text"><i class="fa fa-user"></i></span>
                                </div>
                                <input type="text" name="username" class="form-control input_user" value="" placeholder="username">
                            </div>
                            <div class="input-group mb-2">
                                <div class="input-group-append">
                                    <span class="input-group-text"><i class="fa fa-key"></i></span>
                                </div>
                                <input type="password" name="password" class="form-control input_pass" value="" placeholder="password">
                            </div>

                            <div class="d-flex justify-content-center mt-3 login_container">
                                <button type="submit" name="submit" class="ladda-button btn login_btn">Login</button>
                            </div>
                        </form>
                    </div>


                </div>
            </div>
        </div>

        <!-- Mainly scripts -->
        <script th:src="@{/assets/js/jquery-3.1.1.min.js}"></script>
        <script th:src="@{/assets/js/popper.min.js}"></script>
        <script th:src="@{/assets/js/bootstrap.js}"></script>

        <!-- Ladda -->
        <script th:src="@{/assets/js/plugins/ladda/spin.min.js}"></script>
        <script th:src="@{/assets/js/plugins/ladda/ladda.min.js}"></script>
        <script th:src="@{/assets/js/plugins/ladda/ladda.jquery.min.js}"></script>

        <script>
            $(document).ready(function () {
                // Bind normal buttons
                Ladda.bind('.ladda-button', {timeout: 2000});
            });
        </script>
    </body>

</html>
